from enum import Enum


class NestedRecordRequestType(str, Enum):
    A = "A"
    A6 = "A6"
    AAAA = "AAAA"
    AFSDB = "AFSDB"
    AMTRELAY = "AMTRELAY"
    APL = "APL"
    AVC = "AVC"
    CAA = "CAA"
    CDNSKEY = "CDNSKEY"
    CDS = "CDS"
    CERT = "CERT"
    CNAME = "CNAME"
    CSYNC = "CSYNC"
    DHCID = "DHCID"
    DLV = "DLV"
    DNAME = "DNAME"
    DNSKEY = "DNSKEY"
    DS = "DS"
    EUI48 = "EUI48"
    EUI64 = "EUI64"
    GPOS = "GPOS"
    HINFO = "HINFO"
    HIP = "HIP"
    HTTPS = "HTTPS"
    IPSECKEY = "IPSECKEY"
    ISDN = "ISDN"
    KEY = "KEY"
    KX = "KX"
    L32 = "L32"
    L64 = "L64"
    LOC = "LOC"
    LP = "LP"
    MB = "MB"
    MD = "MD"
    MF = "MF"
    MG = "MG"
    MINFO = "MINFO"
    MR = "MR"
    MX = "MX"
    NAPTR = "NAPTR"
    NID = "NID"
    NINFO = "NINFO"
    NS = "NS"
    NSAP = "NSAP"
    NSAP_PTR = "NSAP_PTR"
    NSEC = "NSEC"
    NSEC3 = "NSEC3"
    NSEC3PARAM = "NSEC3PARAM"
    NULL = "NULL"
    NXT = "NXT"
    OPENPGPKEY = "OPENPGPKEY"
    PTR = "PTR"
    PX = "PX"
    RESINFO = "RESINFO"
    RP = "RP"
    RRSIG = "RRSIG"
    RT = "RT"
    SIG = "SIG"
    SMIMEA = "SMIMEA"
    SOA = "SOA"
    SPF = "SPF"
    SRV = "SRV"
    SSHFP = "SSHFP"
    SVCB = "SVCB"
    TA = "TA"
    TLSA = "TLSA"
    TXT = "TXT"
    TYPE0 = "TYPE0"
    UNSPEC = "UNSPEC"
    URI = "URI"
    WALLET = "WALLET"
    WKS = "WKS"
    X25 = "X25"
    ZONEMD = "ZONEMD"

    def __str__(self) -> str:
        return str(self.value)
